Question

Followed tutorial step by step to set up 2 domains on Apache2 now apache2 to reload or start. Stuck

Posted August 23, 2017 2.4k views
ApacheUbuntu 16.04

service apache2 restart
Job for apache2.service failed because the control process exited with error cod e. See “systemctl status apache2.service” and “journalctl -xe” for details.

service apache2 reload

apache2.service is not active, cannot reload

root@s166-62-39-74:/home/terry/safe0815/singlepoint# apachectl start
AH00534: apache2: Configuration error: No MPM loaded.
Action ‘start’ failed.

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

×
1 answer

Could you try installing the following library:

$ sudo apt-get install libapache2-mpm-itk

or if you have already installed the mpm library please try the following command to enable the modules

$ sudo a2enmod auth_basic authn_core authn_file authz_core authz_host authz_user access_compat
  • Thank you
    I had already done both of these things - the problem remains the same.

    apt-get install libapache2-mpm-itk
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    libapache2-mpm-itk is already the newest version (2.4.7-04-1).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    a2enmod authbasic authncore authnfile authzcore authzhost authzuser access_compat

    Considering dependency authncore for authbasic:
    Module authncore already enabled
    Module auth
    basic already enabled
    Module authncore already enabled
    Module authn
    file already enabled
    Module authzcore already enabled
    Considering dependency authz
    core for authzhost:
    Module authz
    core already enabled
    Module authzhost already enabled
    Considering dependency authz
    core for authzuser:
    Module authz
    core already enabled
    Module authzuser already enabled
    Considering dependency authn
    core for accesscompat:
    Module authn
    core already enabled
    Module access_compat already enabled

    service apache2 start
    Job for apache2.service failed because the control process exited with error code. See “systemctl status apache2.service” and “journalctl -xe” for details.

Submit an Answer